This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 523764

Summary: ssh needs a system-config-ssh tool
Product: [Fedora] Fedora Reporter: John Mizell <john.mizell>
Component: opensshAssignee: Jan F. Chadima <jchadima>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: jchadima, mgrepl, tmraz
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-07 04:00:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John Mizell 2009-09-16 11:38:47 EDT
Description of problem:

Ssh needs a system-config-ssh tool. This would be very useful for many system admins to be able to configure sshd.conf with a gui and tui. So the following could be configured:

PermitRootLogin, PasswordAuthentication, ChrootDirectory, X11Forwarding

Match Group ftponly
        ChrootDirectory %h
        X11Forwarding no
        AllowTcpForwarding no
        ForceCommand internal-sftp

Currently it can be complicated to configure sftp to chroot to a users home directory and not a subdirectory inside a use home directory. 

Version-Release number of selected component (if applicable):


How reproducible:

All the time.
Steps to Reproduce:
1. Try to set up chroot for sshd/sftp
2.
3.
  
Actual results:
Have to download newest sshd and patch it then edit sshd.conf.

Expected results:
start system-config-ssh and choose chroot user to home directory by group.

Additional info:
Comment 1 Jan F. Chadima 2010-06-07 04:00:39 EDT
This is not part of openssh. If you really need it, reopen it against system config tool.